#!/bin/bash

ARGLENGTH=`echo $* | wc -c | awk '{print $1}'`

if [ `echo $ARGLENGTH` -eq 1 ]; then
	SOCKETLIST=`echo "20 21 22 23 25 80 443 8080"`
else
	SOCKETLIST=`echo $*`
fi

NETSTATOUTPUT=`netstat -an | grep -v unix | awk '{print $4}' | awk -F: '{print $2}'`

RESULTSTRING=""

for socket in `echo $SOCKETLIST`; do

	counter=0

	for i in `echo -e $NETSTATOUTPUT`; do

		if [ $i -eq $socket ]; then

			counter=`expr $counter + 1`

		fi

	done

	RESULTSTRING=`echo -n $RESULTSTRING"unix_socket_"$socket":"$counter" "`
done

echo -n $RESULTSTRING

